For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • POSTBuild SIWE-style challenge for mandate signing
      • GETList mandates
      • POSTCreate a signed mandate
      • GETGet a mandate
      • DELCancel a mandate
      • POSTFulfill against a mandate
LogoLogo
DashboardGet started
Generated API ExplorerIntent Mandates

Get a mandate

GET
/v1/intent-mandates/:id
GET
/v1/intent-mandates/:id
$curl https://api.lipafy.xyzyz/v1/intent-mandates/id \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "mandate": {
3 "id": "string",
4 "natural_language_description": "string",
5 "capability_slug_patterns": [
6 "string"
7 ],
8 "allowed_merchants": [
9 "string"
10 ],
11 "max_amount_per_fulfillment": "string",
12 "total_budget": "string",
13 "consumed_amount": "string",
14 "currency_code": "string",
15 "max_fulfillments": 1,
16 "fulfillment_count": 1,
17 "expires_at": "2024-01-15T09:30:00Z",
18 "status": "open",
19 "created_at": "2024-01-15T09:30:00Z"
20 }
21}
Was this page helpful?
Previous

Cancel a mandate

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Response

OK
mandateobject